VPS

Create manual backup

post/vps/{vps_id}/backups

Create an immediate backup of your server. Manual backups are useful before major changes or maintenance.

Authorization

Authorization
Authorization*string

Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.

Path parameters

vps_id*integer
Range1 ≤ value

Request body

Create manual backup

application/jsonRequired
notes?string | null

Optional notes for the backup

Rangelength ≤ 500

Responses

Successful Response

application/json

id*integer
vps_id*integer
backup_type*BackupType
Value in"manual""automatic"
backup_volid*string | null
status*BackupStatus
Value in"pending""in_progress""completed""failed""deleted"
progress*integer
Range0 ≤ value ≤ 100
size_gb*number | null
pbs_storage*string | null
started_at*string | null
Formatdate-time
completed_at*string | null
Formatdate-time
error_message*string | null
notes*string | null
created_at*string
Formatdate-time
snapshot_uuid?string | null